## libsass 3.2.5

=== debian/changelog ===
libsass (3.2.5-1) unstable; urgency=medium

  * Update copyright info:
    + Fix use SPDX license shortname BSL.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Fix reference GPL2 license (as pseudo-field: Yet another
      limitation of format 1.0).
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Jun 2015 13:09:53 -0500

libsass (3.2.4-2) unstable; urgency=medium

  * Bump debhelper compatibility level to 9.
  * Fix set upstream version.
  * Modernize git-buildpackage config: Drop "git-" prefix.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 13 May 2015 23:37:57 +0200

libsass (3.2.4-1) unstable; urgency=medium

  [ upstream ]
  * New upstream release(s).

  [ Jonas Smedegaard ]
  * Update Vcs-Browser URL to use cgit web frontend.
  * Update copyright info: Drop unused GAP license section.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 13 May 2015 23:04:33 +0200

libsass (3.1.0-1) unstable; urgency=low

  * Initial release.
    Closes: bug#694730.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 03 Mar 2015 03:56:22 +0100
