## libsass 3.3.4

=== debian/changelog ===
libsass (3.3.4-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    Closes: Bug#818896. Thanks to Frederic Bonnard.

  [ Jonas Smedegaard ]
  * Drop CDBS get-orig-source target: Use "gbp import-orig --uscan"
    instead.
  * Update watch file:
    + Bump file format to version 4.
    + Use github pattern from ducmentation.
  * Update copyright info:
    + Use License-Grant for GPL with exception.
    + Drop unneeded disclaimers.
    + Use license shortname FSFUL~Boost.
    + Change main copyright holder.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Mar 2016 22:09:20 +0100

libsass (3.3.3-1) unstable; urgency=medium

  [ upstream ]
  * New upstream release.
    Thanks to Raphaël (see bug#694733).

  [ Jonas Smedegaard ]
  * Declare compliance with Debian Policy 3.9.7.
  * Modernize Vcs-Git field: Use https protocol.
  * Update copyright info:
    + Extend copyright for main upstream author to cover recent years.
    + Extend copyright of packaging to cover current year.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 08 Mar 2016 01:18:47 +0100

libsass (3.3.2-1) unstable; urgency=medium

  [ upstream ]
  * New upstream release(s).

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Fix typo in License shortname.
    + Cover newly added files.
  * Drop patch 1001: No longer applies.
  * Tidy lintian overrides.
  * Add lintian override regarding debhelper 9.
  * Copy unusually named Makefile.am to help CDBS notice it.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 30 Nov 2015 20:26:27 +0100

libsass (3.2.5-2) unstable; urgency=medium

  * Fix Vcs-* URLs.
  * Modernize git-buildpackage config: Avoid git- prefix.
  * Add patch 1001 to include header file sass_interface.h.
  * Update copyright info: Fix use License-Reference field (not
    pseudo-field within License field).
  * Git-ignore quilt .pc dir.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 30 Nov 2015 19:21:42 +0100
