=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
  d-shlibs (>= 0.50)
 Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://libsass.org/
-Vcs-Git: git://git.debian.org/pkg-libsass/libsass.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-libsass/libsass.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-sass/libsass.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sass/libsass.git
 
 Package: libsass0
 Section: libs
