=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2015 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2015-2016 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for LibSass
 #
 # This program is free software; you can redistribute it and/or modify
@@ -27,7 +27,6 @@
 DEB_AUTO_UPDATE_AUTOCONF = ,
 DEB_AUTO_UPDATE_AUTOMAKE = ,
 DEB_AUTO_UPDATE_AUTOHEADER = ,
-include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
@@ -38,9 +37,6 @@
 lib = lib$(stem)
 libpkg = lib$(stem)$(abi)
 devpkg = lib$(stem)-dev
-
-DEB_UPSTREAM_URL = https://github.com/sass/libsass/archive
-DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
 
 # Build-depend unversioned on debhelper
 #  TODO: Drop when adopted in cdbs
@@ -112,3 +108,10 @@
 clean::
 	rm -f $(filter-out $(DEB_UPSTREAM_CRUFT_MOVE),$(files_autotools_core))
 	test ! -d $(auxdir) || rmdir --ignore-fail-on-non-empty $(auxdir)
+
+# copy unusually name Makefile.am to help CDBS notice it
+debian/stamp-autotools-files: Makefile.am
+Makefile.am:
+	cp -f GNUmakefile.am Makefile.am
+clean::
+	rm -f Makefile.am
