=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libsass-$1.tar.gz%" \
 https://github.com/sass/libsass/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
