## libsass 3.3.6

=== debian/changelog ===
libsass (3.3.6-2) unstable; urgency=medium

  * Add autopkgtest.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 09 Sep 2016 11:28:10 +0200

libsass (3.3.6-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Fix avoid call uupdate in watch file (counterproductive with
    git-buildpackage).
  * Update watch file:
    + Use substitution string @PACKAGE@.
    + Add usage comment.
  * Modernize git-buildpackage config: Filter any .git* file.
  * Declare compliance with Debian Policy 3.9.8.
  * Update TODO: Testsuite never disabled.
  * Build-depend on licensecheck (not devscripts).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 09 Sep 2016 03:12:39 +0200
