=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Build-Depends: cdbs (>= 0.4.123~),
- devscripts,
+ licensecheck,
  libtool,
  automake,
  autoconf,
@@ -12,7 +12,7 @@
  d-shlibs (>= 0.50)
 Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://libsass.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-sass/libsass.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sass/libsass.git
