=== debian/rules ===
--- 
+++ 
@@ -37,10 +37,6 @@
 lib = lib$(stem)
 libpkg = lib$(stem)$(abi)
 devpkg = lib$(stem)-dev
-
-# Build-depend unversioned on debhelper
-#  TODO: Drop when adopted in cdbs
-CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
 
 # Needed by upstream build
 # TODO: Patch code to use system shared libraries
