## libsass 3.4.3

=== debian/changelog ===
libsass (3.4.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
    - Remove Build-Depends on licensecheck.

 -- Rhonda D'Vine <rhonda@strg.at>  Tue, 07 Mar 2017 16:20:00 +0100

libsass (3.4.3-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Modernize Vcs-Browse field: Use git subdir.
  * Stop override lintian for
    package-needs-versioned-debhelper-build-depends: Fixed in lintian.
  * Update copyright info: Extend coverage of Debian packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 21 Jan 2017 20:12:01 +0100

libsass (3.4.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Remove Build-Depends on licensecheck.

 -- Rhonda D'Vine <rhonda@strg.at>  Thu, 22 Dec 2016 12:05:53 +0100

libsass (3.4.0-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update homepage URL.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Dec 2016 11:32:01 +0100
