=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: libs
 Priority: optional
 Build-Depends: cdbs (>= 0.4.123~),
- licensecheck,
  libtool,
  automake,
  autoconf,
@@ -13,9 +12,9 @@
 Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Standards-Version: 3.9.8
-Homepage: https://libsass.org/
+Homepage: http://sass-lang.com/libsass
 Vcs-Git: https://anonscm.debian.org/git/pkg-sass/libsass.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sass/libsass.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-sass/libsass.git
 
 Package: libsass0
 Section: libs
