## libsass 3.4.8

=== debian/changelog ===
libsass (3.4.8-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update watch file: Skip beta releases.
  * Use package section optional (not extra).
  * Declare compliance with Debian Policy 4.1.3.
  * Update copyright info:
    + Drop needless copyright signs.
    + Extend coverage for myself.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jan 2018 10:04:53 +0100

libsass (3.4.6-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Tighten lintian overrides regarding License-Reference.
  * Update watch file: Use substitution strings.
  * Simplify rules:
    + Stop auto-adapt control file based on SONAME.
    + Stop resolve build-dependencies in rules file.
  * Declare compliance with Debian Policy 4.1.1.
  * Relax to build-depend unversioned on cdbs.
  * Update copyright info: Use https protocol in file format URL.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Oct 2017 20:08:32 +0200
