=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libsass
 Section: libs
 Priority: optional
-Build-Depends: cdbs (>= 0.4.123~),
+Build-Depends: cdbs,
  libtool,
  automake,
  autoconf,
@@ -11,7 +11,7 @@
  d-shlibs (>= 0.50)
 Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://sass-lang.com/libsass
 Vcs-Git: https://anonscm.debian.org/git/pkg-sass/libsass.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-sass/libsass.git
@@ -33,7 +33,6 @@
 
 Package: libsass0-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Depends: ${misc:Depends},
  libsass0 (= ${binary:Version})
