=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2015-2017 Jonas Smedegaard <dr@jones.dk>
+# Copyright 2015-2018 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for LibSass
 #
 # This program is free software; you can redistribute it and/or modify
@@ -15,12 +15,6 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
-
-# This needs to run (and thus be declared) before CDBS includes
-debian/control:: debian/control.in
-DEB_PHONY_RULES += debian/control.in
-debian/control.in::
-	sed -e 's/__LIBPKG__/$(libpkg)/g' <debian/control.in.in >debian/control.in
 
 DEB_AUTO_UPDATE_LIBTOOL = pre
 DEB_AUTO_UPDATE_ACLOCAL = ,
@@ -37,15 +31,6 @@
 lib = lib$(stem)
 libpkg = lib$(stem)$(abi)
 devpkg = lib$(stem)-dev
-
-# Needed by upstream build
-# TODO: Patch code to use system shared libraries
-#dev-deps = libb64-dev, libutfcpp-dev, libgetopt++-dev
-
-# Needed for our packaging
-deps-pkg +=, autoconf-archive, d-shlibs (>= 0.50)
-
-CDBS_BUILD_DEPENDS +=, $(deps), $(deps-pkg)
 
 # Multiarch quirk (see also other uses of that variable in this file)
 CDBS_PREDEPENDS_$(libpkg) = $(if $(DEB_HOST_MULTIARCH),multiarch-support)
