=== debian/tests/control ===
Tests: spec
Depends: ruby, sassc, sass-spec, sass-spec-data
