=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/sass/libsass/tags \
 (?:.*?/)?v?(\d[\d.]+)@ARCHIVE_EXT@
