## libsass 3.5.4+20180621~c0a6cf3

=== debian/changelog ===
libsass (3.5.4+20180621~c0a6cf3-1) unstable; urgency=medium

  [ upstream ]
  * Snapshot of stable git branch.
    + Add deprecation messages for color arithmetic
    + Revert "Remove raw css imports"
    + Revert "Add configuration for supporting additional extensions as
      .scss"
    + Revert "Add a deprecation warning for @import's that resolved .css
      files"
    + Revert "Separate out deprecated import file extensions"
    + Remove legacy workaround for parsing modulo operator
    + Fix handling of unclosed interpolant in url
  Closes: Bug#904209. Thanks to Jan Matějka.

  [ Jonas Smedegaard ]
  * Update watch file:
    + Use substitution strings.
    + Fix typo in watch file usage comment.
  * Declare compliance with Debian Policy 4.1.5.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Jul 2018 09:42:43 +0800

libsass (3.5.4-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Anthony Fok ]
  * Apply "cme fix dpkg" fixes to debian/control,
    adding version to debhelper build-dependency,
    bumping Standards-Version to 4.1.4, etc.
  * Add myself to the list of Uploaders.
  * Point Vcs-* URLs to salsa.debian.org.
  * Rename libsass0 to libsass1 as per upstream (abi = 1).
  * Enable parallel build.
  * Update copyright info: Adjust for relocated files.
  * Drop libsass0-dbg package, and switch to automatically created
    libsass1-dbgsym package.
  * Remove hardcoded Pre-Depends on multiarch-support.
    Thanks to Aurelien Jarno for the patch!  (Closes: #870512)

 -- Anthony Fok <foka@debian.org>  Sat, 30 Jun 2018 11:13:39 -0600
