=== debian/control ===
Source: libsass
Section: libs
Priority: optional
Build-Depends: cdbs,
 libtool,
 automake,
 autoconf,
 debhelper (>= 9.20160114~),
 dh-buildinfo,
 autoconf-archive,
 d-shlibs (>= 0.50)
Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Anthony Fok <foka@debian.org>
Standards-Version: 4.1.5
Homepage: http://sass-lang.com/libsass
Vcs-Git: https://salsa.debian.org/sass-team/libsass.git
Vcs-Browser: https://salsa.debian.org/sass-team/libsass

Package: libsass1
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends},
 ${cdbs:Pre-Depends}
Multi-Arch: same
Description: C/C++ port of the Sass CSS precompiler
 Sass is a pre-processing language for CSS. It allows you to write
 cleaner stylesheets and makes collaboration on your CSS a breeze.
 .
 LibSass is a C/C++ port of the Sass engine. The point is to be simple,
 fast, and easy to integrate.

Package: libsass-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libsass1 (= ${binary:Version}),
 ${devlibs:Depends},
 ${misc:Depends}
Suggests: libsass-doc
Description: C/C++ port of the Sass CSS precompiler - development headers
 Sass is a pre-processing language for CSS. It allows you to write
 cleaner stylesheets and makes collaboration on your CSS a breeze.
 .
 LibSass is a C/C++ port of the Sass engine. The point is to be simple,
 fast, and easy to integrate.
 .
 This package provides header files for developing your applications to
 use libsass template engine.
