=== debian/rules ===
--- 
+++ 
@@ -21,19 +21,17 @@
 DEB_AUTO_UPDATE_AUTOCONF = ,
 DEB_AUTO_UPDATE_AUTOMAKE = ,
 DEB_AUTO_UPDATE_AUTOHEADER = ,
+DEB_BUILD_PARALLEL = 1
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 pkg = $(DEB_SOURCE_PACKAGE)
 stem = $(patsubst lib%,%,$(pkg))
-abi = 0
+abi = 1
 lib = lib$(stem)
 libpkg = lib$(stem)$(abi)
 devpkg = lib$(stem)-dev
-
-# Multiarch quirk (see also other uses of that variable in this file)
-CDBS_PREDEPENDS_$(libpkg) = $(if $(DEB_HOST_MULTIARCH),multiarch-support)
 
 DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
