## libsass 3.5.5

=== debian/changelog ===
libsass (3.5.5-4) unstable; urgency=high

  * Add patches cherry-picked upstream
    to fix buffer-overflow and null pointer dereference.
    CVE-2018-19839 CVE-2018-20190.
  * Set urgency=high due to security bugfixes.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 22 May 2019 12:35:53 +0200

libsass (3.5.5-3) unstable; urgency=high

  * Add patches cherry-picked upstream
    to fix heap-buffer-overflow and heap-use-after-free security bugs.
    Thanks to Xavier Guimard. Closes: Bug#900182.
    CVE-2018-11499 CVE-2018-19827 CVE-2019-6283 CVE-2019-6284 CVE-2019-6286.
  * Set urgency=high due to security bugfixes.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 21 May 2019 13:32:29 +0200

libsass (3.5.5-2) unstable; urgency=medium

  * Simplify rules: Use dh-autoreconf (not CDBS trickery).
  * Stop build-depend on dh-buildinfo.
  * Use https protocol in Homepage URL.
  * Declare compliance with Debian Policy 4.3.0.
  * Wrap and sort control file.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 25 Dec 2018 02:50:54 +0100

libsass (3.5.5-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    + Fix -Wmissing-declarations for gcc < 7.
    + Support hex colors with alpha channels.
    + Fix possible bug with handling empty reference combinators.
    + Update plugin test script to use precision 5

  [ Anthony Fok ]
  * Declare compliance with Debian Policy 4.2.1.

 -- Anthony Fok <foka@debian.org>  Mon, 19 Nov 2018 04:16:53 -0700
