=== debian/control ===
Source: libsass
Section: libs
Priority: optional
Build-Depends:
 autoconf,
 autoconf-archive,
 automake,
 cdbs,
 d-shlibs (>= 0.50),
 debhelper (>= 9.20160114~),
 dh-autoreconf,
 libtool,
Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
 Anthony Fok <foka@debian.org>,
Standards-Version: 4.3.0
Homepage: https://sass-lang.com/libsass
Vcs-Git: https://salsa.debian.org/sass-team/libsass.git
Vcs-Browser: https://salsa.debian.org/sass-team/libsass

Package: libsass1
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${cdbs:Pre-Depends},
 ${misc:Pre-Depends},
Multi-Arch: same
Description: C/C++ port of the Sass CSS precompiler
 Sass is a pre-processing language for CSS. It allows you to write
 cleaner stylesheets and makes collaboration on your CSS a breeze.
 .
 LibSass is a C/C++ port of the Sass engine. The point is to be simple,
 fast, and easy to integrate.

Package: libsass-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libsass1 (= ${binary:Version}),
 ${devlibs:Depends},
 ${misc:Depends},
Suggests:
 libsass-doc,
Description: C/C++ port of the Sass CSS precompiler - development headers
 Sass is a pre-processing language for CSS. It allows you to write
 cleaner stylesheets and makes collaboration on your CSS a breeze.
 .
 LibSass is a C/C++ port of the Sass engine. The point is to be simple,
 fast, and easy to integrate.
 .
 This package provides header files for developing your applications to
 use libsass template engine.
