## libsass 3.6.1

=== debian/changelog ===
libsass (3.6.1-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Drop patches cherry-picked upstream: Now applied.
  * Update copyright info: Extend copyright for fork of UTF8-CPP.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Jul 2019 10:11:26 -0300
