=== debian/changelog ===
libsass (3.6.3-1ubuntu1) focal; urgency=medium

  [ Steve Langasek ]
  * Use ruby:native to fix autopkgtests on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 01 Apr 2020 13:55:07 +0200

libsass (3.6.3-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Anthony Fok ]
  * Declare compliance with Debian Policy 4.5.0.

 -- Anthony Fok <foka@debian.org>  Fri, 28 Feb 2020 04:04:53 -0700
