=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
  Anthony Fok <foka@debian.org>,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://sass-lang.com/libsass
 Vcs-Git: https://salsa.debian.org/sass-team/libsass.git
 Vcs-Browser: https://salsa.debian.org/sass-team/libsass
