=== debian/tests/control ===
Tests: spec
Depends: ruby:native, sassc, sass-spec, sass-spec-data
